RPM Package Manager, CVS Repository
http://rpm5.org/cvs/
____________________________________________________________________________
Server: rpm5.org Name: Ralf S. Engelschall
Root: /v/rpm/cvs Email: rse@rpm5.org
Module: rpm Date: 21-Jun-2007 08:23:23
Branch: HEAD Handle: 2007062107232300
Modified files:
rpm autogen.sh
Log:
apply a cruel hack to be able to run gettextize in full batch mode and
without the interactive information display
Summary:
Revision Changes Path
2.76 +32 -0 rpm/autogen.sh
____________________________________________________________________________
patch -p0 <<'@@ .'
Index: rpm/autogen.sh
============================================================================
$ cvs diff -u -r2.75 -r2.76 autogen.sh
--- rpm/autogen.sh 21 Jun 2007 05:57:42 -0000 2.75
+++ rpm/autogen.sh 21 Jun 2007 06:23:23 -0000 2.76
@@ -1,5 +1,21 @@
#!/bin/sh
+# establish a secure temporary directory
+{
+ tmpdir=""
+ trap 'exit_status=$?; { test -z "$tmpdir" || test ! -d "$tmpdir" || rm -rf "$tmpdir"; } && exit $exit_status' 0 1 2 13 15
+}
+{
+ tmpdir="`(umask 077 && mktemp -d './.autogenXXXXXX') 2>/dev/null`"
+ [ -n "$tmpdir" ] && [ -d "$tmpdir" ]
+} || {
+ tmpdir="./.autogen$$"
+ (umask 077 && mkdir "$tmpdir") 2>/dev/null
+} || {
+ echo "$0: cannot create a temporary directory" 1>&2
+ exit 1
+}
+
export CFLAGS
export LDFLAGS
@@ -26,6 +42,22 @@
esac
esac
+# run GNU gettext's gettextize(1) in batch mode
+gettextize () {
+ _gettextize="`which gettextize 2>/dev/null`"
+ case "$_gettextize" in
+ /* ) ;;
+ * ) echo "$0: gettextize: not found" 1>&2; exit 1 ;;
+ esac
+ perl -e '
+ my $sh = join("", <STDIN>);
+ $sh =~ s|read\s+dummy\s*<\s*/dev/tty||s;
+ $sh =~ s|if\s+\$doit;\s+then\s+echo\s+"\$please"|if false; then|s;
+ print STDOUT $sh;
+ ' <$_gettextize >$tmpdir/gettextize.sh
+ sh $tmpdir/gettextize.sh ${1+"$@"}
+}
+
[ "`$libtoolize --version | head -1`" != "$LTV" ] && echo "$USAGE" # && exit 1
[ "`autoconf --version | head -1`" != "$ACV" ] && echo "$USAGE" # && exit 1
[ "`automake --version | head -1 | sed -e 's/1\.4[a-z]/1.4/'`" != "$AMV" ] && echo "$USAGE" # && exit 1
@@ .
Received on Thu Jun 21 08:23:23 2007